Bug 974255 - AttributeError: 'DeviceFormat' object has no attribute 'peStart'
AttributeError: 'DeviceFormat' object has no attribute 'peStart'
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: mulhern
Fedora Extras Quality Assurance
abrt_hash:9644cab46eed2b990359963137d...
:
: 1018246 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 15:12 EDT by Alen Skondro
Modified: 2015-02-18 06:12 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:12:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda.log (167.78 KB, text/plain)
2013-06-13 15:12 EDT, Alen Skondro
no flags Details
File: backtrace (1.28 KB, text/plain)
2013-06-13 15:12 EDT, Alen Skondro
no flags Details
File: environ (441 bytes, text/plain)
2013-06-13 15:12 EDT, Alen Skondro
no flags Details
File: ifcfg.log (573 bytes, text/plain)
2013-06-13 15:12 EDT, Alen Skondro
no flags Details
File: lsblk_output (4.04 KB, text/plain)
2013-06-13 15:12 EDT, Alen Skondro
no flags Details
File: nmcli_dev_list (5.93 KB, text/plain)
2013-06-13 15:12 EDT, Alen Skondro
no flags Details
File: program.log (101.42 KB, text/plain)
2013-06-13 15:12 EDT, Alen Skondro
no flags Details
File: storage.log (454.67 KB, text/plain)
2013-06-13 15:12 EDT, Alen Skondro
no flags Details
File: syslog (131.75 KB, text/plain)
2013-06-13 15:13 EDT, Alen Skondro
no flags Details
File: anaconda-tb (3.04 MB, application/octet-stream)
2013-06-13 15:14 EDT, Alen Skondro
no flags Details
File: packaging.log (2.25 MB, application/octet-stream)
2013-06-13 15:15 EDT, Alen Skondro
no flags Details

  None (edit)
Description Alen Skondro 2013-06-13 15:12:01 EDT
Description of problem:
After configuration of disk layout. Message "Saving disk configuration..." appeared without finishing and then this error occurred.
The following was filed automatically by anaconda:
anaconda 19.30.5-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 2326, in size
    size += max(0, self.align(pv.size - pv.format.peStart))
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 2343, in freeSpace
    log.debug("%s size is %dMB" % (self.name, self.size))
  File "/usr/lib/python2.7/site-packages/blivet/partitioning.py", line 1926, in growLVM
    total_free = vg.freeSpace
  File "/usr/lib/python2.7/site-packages/blivet/partitioning.py", line 306, in doAutoPartition
    growLVM(storage)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 241, in execute
    doAutoPartition(storage, ksdata)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 1640, in doKickstartStorage
    ksdata.autopart.execute(storage, ksdata, instClass)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 391, in _doExecute
    doKickstartStorage(self.storage, self.data, self.instclass)
  File "/usr/lib64/python2.7/threading.py", line 764, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
AttributeError: 'DeviceFormat' object has no attribute 'peStart'

Version-Release number of selected component:
anaconda-19.30.5-1

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019-TC3\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.4-301.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-TC3

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python2.7/threading.py", line 764, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 391, in _doExecute
    doKickstartStorage(self.storage, self.data, self.instclass)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 1640, in doKickstartStorage
    ksdata.autopart.execute(storage, ksdata, instClass)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 241, in execute
    doAutoPartition(storage, ksdata)
  File "/usr/lib/python2.7/site-packages/blivet/partitioning.py", line 306, in doAutoPartition
    growLVM(storage)
  File "/usr/lib/python2.7/site-packages/blivet/partitioning.py", line 1926, in growLVM
    total_free = vg.freeSpace
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 2343, in freeSpace
    log.debug("%s size is %dMB" % (self.name, self.size))
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 2326, in size
    size += max(0, self.align(pv.size - pv.format.peStart))
AttributeError: 'DeviceFormat' object has no attribute 'peStart'

Potential duplicate: bug 896667
Comment 1 Alen Skondro 2013-06-13 15:12:10 EDT
Created attachment 760919 [details]
File: anaconda.log
Comment 2 Alen Skondro 2013-06-13 15:12:14 EDT
Created attachment 760920 [details]
File: backtrace
Comment 3 Alen Skondro 2013-06-13 15:12:19 EDT
Created attachment 760921 [details]
File: environ
Comment 4 Alen Skondro 2013-06-13 15:12:23 EDT
Created attachment 760922 [details]
File: ifcfg.log
Comment 5 Alen Skondro 2013-06-13 15:12:28 EDT
Created attachment 760923 [details]
File: lsblk_output
Comment 6 Alen Skondro 2013-06-13 15:12:32 EDT
Created attachment 760924 [details]
File: nmcli_dev_list
Comment 7 Alen Skondro 2013-06-13 15:12:39 EDT
Created attachment 760925 [details]
File: program.log
Comment 8 Alen Skondro 2013-06-13 15:12:52 EDT
Created attachment 760926 [details]
File: storage.log
Comment 9 Alen Skondro 2013-06-13 15:13:02 EDT
Created attachment 760927 [details]
File: syslog
Comment 10 Alen Skondro 2013-06-13 15:14:13 EDT
Created attachment 760928 [details]
File: anaconda-tb
Comment 11 Alen Skondro 2013-06-13 15:15:07 EDT
Created attachment 760929 [details]
File: packaging.log
Comment 12 mulhern 2013-12-02 17:56:06 EST
Posted a patch that changes the semantics of get_device_format_class to indirectly address this problem. One possible source of this problem is a failure to lookup lvmpv properly, causing self.pvClass to be the parent of all format classes, and thus making it possible to add a device with any format to the physical volumes of the volume group. The posted patch will cause the problem to be detected instead of going unnoticed.

But, another possibility is that a device format was changed after the device had been added to the list of physical volumes. Where that could have happened is not obvious from the logs.

It would be a good idea to verify the condition of the devicetree for some properties, such as the one violated by the stack trace, before actually performing the action needed.
Comment 13 mulhern 2013-12-03 11:44:07 EST
Likely this bug was fixed by commit for bug #1027846. This fix gets rid of non-existant devices if they are hidden, rather than retaining them and possibly re-adding them to the device tree, so it may remove the preconditions for the bug.
Comment 14 David Shea 2014-12-10 10:59:55 EST
*** Bug 1018246 has been marked as a duplicate of this bug. ***
Comment 15 Fedora End Of Life 2015-01-09 17:34:24 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2015-02-18 06:12:19 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.